Bug 60835 - External links saved in xls format
Summary: External links saved in xls format
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.5.7.2 release
Hardware: x86 (IA32) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 59556 62600 63992 (view as bug list)
Depends on:
Blocks: XLS Files-Linked
  Show dependency treegraph
 
Reported: 2013-02-14 11:52 UTC by teemoz
Modified: 2018-09-17 06:56 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
main numbers (1.71 KB, application/x-gzip)
2013-02-14 11:52 UTC, teemoz
Details

Note You need to log in before you can comment on or make changes to this bug.
Description teemoz 2013-02-14 11:52:55 UTC
Created attachment 74804 [details]
main numbers

Hi 
Linux platform , when you open xls files already created by microsoft office and contains links to other files , the numbers does not get updated. starting from version 3.5 up to version 4.
attached are 2 files 
1 is the file that contains numbers with sum of all numbers
2 is the file linked to the sum cell in 1st file.
Comment 1 Joel Madero 2013-03-21 18:26:46 UTC
As you've stated this problem has been around since 3.5 I am changing version.

@Teemoz - version reflects oldest version that you've known about the problem, not latest tested on. If the problem still exists and is tested we simply leave a comment saying "tested on x.x.x.x and the problem still exists".


Thanks!
Comment 2 Joel Madero 2013-05-29 21:18:56 UTC
Same root cause, marking as a dupe and upping priority

*** This bug has been marked as a duplicate of bug 57738 ***
Comment 3 Markus Mohrhard 2013-06-06 21:31:46 UTC
Nope, ODS and XLS issues are different here.
Comment 4 Joel Madero 2013-06-07 03:31:25 UTC
Confirmed still -marking as NEW. Although you said that it might be NOTOURBUG since XLS is designed only to work in Windows. You think it's fixable or trickable from within Linux and/or OSX?
Comment 5 Markus Mohrhard 2013-06-07 03:39:54 UTC
*** Bug 59556 has been marked as a duplicate of this bug. ***
Comment 6 Markus Mohrhard 2013-06-07 03:40:36 UTC
*** Bug 62600 has been marked as a duplicate of this bug. ***
Comment 7 Markus Mohrhard 2013-06-07 03:41:04 UTC
*** Bug 63992 has been marked as a duplicate of this bug. ***
Comment 8 QA Administrators 2015-04-19 03:19:46 UTC Comment hidden (obsolete)
Comment 9 Buovjaga 2015-06-15 06:32:45 UTC
Confirmed, the link in 2.xls is not relative.

Lowered severity per https://wiki.documentfoundation.org/images/0/06/Prioritizing_Bugs_Flowchart.jpg

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 01a189abcd9a4ca472a74b3b2c000c9338fc2c91
TinderBox: Win-x86@39, Branch:master, Time: 2015-06-14_07:46:28
Locale: fi-FI (fi_FI)
Comment 10 QA Administrators 2016-09-20 10:00:13 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.5 or 5.2.1  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20160920